/*////////////////////////////////////
// 
// Add createFaultArray(newDivArray[arrayLength]) to xmlHandles.js
// 
// Add faultArray to gloablVars
// 
// Add new page to index.html
// 
// Add faultEntryList and Footer pagenation to su.js
// 
/////////////////////////////////////*/

function textToXML(text) {
	try {
		var xml = null;

		if ( window.DOMParser ) {

			var parser = new DOMParser();
			xml = parser.parseFromString( text, "text/xml" );

			return xml;

		} else {

			xml = new ActiveXObject( "Microsoft.XMLDOM" );

			xml.async = false;
			xml.loadXML( text );

			return xml;
		}
	} catch ( e ) {
		// suppress
	}
}


function gotoFault() {
	if (faultArray.length == 0) {
		jQT.goTo('#Fault','slideleft');
	} else {
		if (faults > 0) {
			document.getElementById('myFaultOptions').className = 'arrow arrow2';
		} else {
			document.getElementById('myFaultOptions').className = 'arrow arrow1';
		}
		jQT.goTo('#faultOptions','slideleft');
	}
}

function gotoNewFault() {
	fillFaultDropdowns(0);
	var image = document.getElementById('faultImage');
	image.className = "photoSize";
	image.src = "themes/images/blank.png";
	document.getElementById('faultText').value = '';
	document.getElementById('faultPhone').value = '';
	jQT.goTo('#FaultEntry','slideleft');
}

function createFaultArray(object) {
	
	faultArray.length = 0; // this empties the array
	
	var myXml = textToXML(object);
	var myCategories = myXml.getElementsByTagName('category');
	for (var i=0; i<myCategories.length; i++) {
		var fcDescription = myCategories[i].getElementsByTagName('description')[0].firstChild.nodeValue;
		var fcRef = myCategories[i].getElementsByTagName('fcRef')[0].firstChild.nodeValue;
		var fscRefArray = myCategories[i].getElementsByTagName('fscRef');
		var fscDesArray = myCategories[i].getElementsByTagName('fscDescription');
		var myFaultArray = new Array();
		myFaultArray.push(fcRef);
		myFaultArray.push(fcDescription);
		myFaultArray.push(fscRefArray);
		myFaultArray.push(fscDesArray);
		faultArray.push(myFaultArray);
	}
}

function fillFaultDropdowns(myIndex) {
	if(myIndex == 0) {
		var catList = document.getElementById('faultCats');
		for (var i = catList.options.length-1; i>0; i--) {
			catList.remove(i);
		}
		for (var i=0; i<faultArray.length; i++) {
			var myOption = document.createElement("option");
			myOption.value = faultArray[i][0];
			myOption.text = faultArray[i][1];
			catList.add(myOption, i+1);
		}
	}
	var catList = document.getElementById('faultSubCats');
	for (var i = catList.options.length-1; i>0; i--) {
		catList.remove(i);
	}
	if(myIndex > 0) {
		for (var i=0; i<faultArray[myIndex-1][2].length; i++) {
			var myOption = document.createElement("option");
			myOption.value = faultArray[myIndex-1][2][i].firstChild.nodeValue;
			myOption.text = faultArray[myIndex-1][3][i].firstChild.nodeValue;
			catList.add(myOption, i+1);
		}
	}
}

function checkFaultEntryForm(type) {
	if (document.getElementById('faultCats').value == 'NA') {
		sendAlert('Please select a category');
		return false;
	}
	if (document.getElementById('faultSubCats').value == 'NA') {
		sendAlert('Please select a sub category');
		return false;
	}
	if (document.getElementById('faultText').value.replace(/ /g, '') == '') {
		sendAlert('Please enter details of fault');
		return false;
	}
	sendFaultFeedback(type);
}

function sendFaultFeedback(type) {
	var catTarget = document.getElementById('faultCats');
	var subCatTarget = document.getElementById('faultSubCats');
	
	var myCat = catTarget.options[catTarget.selectedIndex].text;
	var mySubCat = subCatTarget.options[subCatTarget.selectedIndex].text;

	var feedbackPost = myCat+': '+mySubCat+': '+document.getElementById('faultText').value;
	
	var phpLocation = rootDomain+'upload.php';
	phpLocation += '?type='+type;
	phpLocation += '&phone='+escape(document.getElementById('faultPhone').value);
	phpLocation += '&longitude='+longitude;
	phpLocation += '&latitude='+latitude;

	document.getElementById('timerHeading').innerHTML = 'Please wait';
	showTimer();
	setTimeout(function() {ajaxGlobalPost(phpLocation, 'uploadASB', 'html', {imageBase64Post: imageBase64, feedbackPost : feedbackPost });},1500);
}

